Redmine 4.0.3 does not send all notification emails ?

2019-06-05 15:55 - Hans Riekehof

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.0.3

Description

Currently i have a problem with my Redmine docker based installation. I migrated from a turnkey linux appliance to a docker based

installation and everything went smoothly. All data and settings migrated.

Now i recognized that Redmine is not sending all Emails to all Users which are observers of a ticket. Some emails are send some

not.

When i send myself test emails via the Adminpage this works perfectly and some users always get all emails but some users not.

The email adresses in the accounts are correct.

When i look into the container log file, i see the following error messages:

App 26040 output: I, [2019-06-05T08:59:23.832804 #26040]  INFO -- : Performed ActionMailer::Delive

ryJob (Job ID: ef69e436-d3c3-48b7-8950-579d1715fdf7) from Async(mailers) in 139.54ms

App 26040 output: E, [2019-06-05T08:59:23.879560 #26040] ERROR -- : Email delivery error: end of f

ile reached

App 26040 output: I, [2019-06-05T08:59:23.879925 #26040]  INFO -- : Performed ActionMailer::Delive

ryJob (Job ID: 34073d49-c156-4fd3-8940-59330a7d530b) from Async(mailers) in 244.2ms

App 26040 output: E, [2019-06-05T08:59:24.009490 #26040] ERROR -- : Email delivery error: end of f

ile reached

App 26040 output: I, [2019-06-05T08:59:24.009731 #26040]  INFO -- : Performed ActionMailer::Delive

ryJob (Job ID: 44766a58-9215-407b-9958-9b8ceb80ca77) from Async(mailers) in 232.92ms

 I have absolutely no idea what causes this at the moment. We are using an internal Exchange-Server which is maintained by an

external IT Service company. They tell me everything on the Exchange-Server looks fine. Certificates are new. And that certain

emails never are never received by the Server.

So my questions is now if my configuration is correct for exchange:

    delivery_method: :smtp

    smtp_settings:

      enable_starttls_auto: true

      address: "ex-1" 

      port: 587

      domain: "mydomain.de" # 'your.domain.com' for GoogleApps

      authentication: :login

      user_name: "user" 

      password: "password" 

 I also tried adding the option openssl_verify_mode: none but this also doesn't help. Does anyone have a hint what i can try ?

History

#1 - 2019-06-19 11:45 - Hans Riekehof

- Status changed from New to Resolved

It was the mail server... My external it service company seems to be unexperienced with exchange configuration

#2 - 2019-06-19 17:45 - Go MAEDA

- Status changed from Resolved to Closed
Thank you for the feedback.
